/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   -
 * @version -
 * @date    -
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#define TRMOSC_SAMPLE

#include "TMPM4KxA.h"
#include "txz_driver_def.h"

/**
 *  @defgroup Sample_Driver Sample Driver
 *  @brief    Sample Driver
 *  @{
 */
#include "txz_adc.h"
#include "txz_adc_ex.h"
#include "txz_adc_sh.h"
#include "txz_adc_include.h"
#include "txz_hal.h"
#include "txz_cg.h"
#include "txz_gpio.h"
#include "txz_t32a.h"
#include "txz_dma.h"
#include "txz_dma_include.h"
#include "txz_uart.h"
#include "txz_uart_dma.h"
#include "txz_uart_ex.h"
#include "txz_uart_include.h"
#if defined(TMPM4K4A) || defined(TMPM4K2A) || defined(TMPM4K1A)
    #include "txz_i2c.h"
#endif
#include "txz_t32a.h"
#include "txz_tspi.h"
#include "txz_t32a.h"
#include "txz_tspi.h"
 /**
 *  @}
 */ /* End of group Sample Driver */

#endif  /* __TXZ_SAMPLE_DEF_H */
