/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   This file includes header files for sample application.
 * @version V1.0.0.2
 * $Date:: 2018-01-10 16:43:11 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA MICROELECTRONICS CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#include "txz_driver_def.h"
#include "txz_hal.h"
#include "txz_cg.h"
#include "txz_uart.h"
#include "txz_gpio.h"
#include "bsp.h"
#include "txz_uart_dma.h"
#include "txz_t32a.h"
#include "txz_tspi.h"
#include "bsp_uart_io.h"
#include "crc.h"

#endif  /* __TXZ_SAMPLE_DEF_H */
